from datetime import datetime
from pytz import timezone
from sqlalchemy import Column, Integer,  DateTime, Text

from app import db
from sqlalchemy.ext.declarative import declarative_base

Base: declarative_base = db.Model

asia_tz = timezone('America/Los_Angeles')
def current_time():
    return datetime.now(asia_tz)
class LocationLogHistory(Base):
    __tablename__ = "location_log_history"
    id = Column(Integer, primary_key=True)
    site_id = Column(Integer, nullable=True)
    device_id = Column(Integer, nullable=True)
    room_id = Column(Integer, nullable=True)
    location_log_arr = Column(Text, nullable=True)
    location_timeline_arr = Column(Text, nullable=True)
    flag = Column(Integer, nullable=True)
    created_at = Column(DateTime(timezone=True), default=current_time)
    updated_at = Column(DateTime(timezone=True), default=current_time, onupdate=current_time)